Bug 1046744 - [abrt] mate-file-manager: magazine_chain_pop_head(): caja killed by SIGSEGV
Summary: [abrt] mate-file-manager: magazine_chain_pop_head(): caja killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-file-manager
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:12661978f57db1ef6cc6d1dbf31...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-26 21:40 UTC by Szőke Károly
Modified: 2015-01-03 12:41 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-03 12:41:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (56.51 KB, text/plain)
2013-12-26 21:40 UTC, Szőke Károly
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-26 21:40 UTC, Szőke Károly
no flags Details
File: core_backtrace (27.08 KB, text/plain)
2013-12-26 21:40 UTC, Szőke Károly
no flags Details
File: dso_list (10.32 KB, text/plain)
2013-12-26 21:40 UTC, Szőke Károly
no flags Details
File: environ (1.36 KB, text/plain)
2013-12-26 21:40 UTC, Szőke Károly
no flags Details
File: exploitable (97 bytes, text/plain)
2013-12-26 21:40 UTC, Szőke Károly
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-26 21:40 UTC, Szőke Károly
no flags Details
File: maps (58.04 KB, text/plain)
2013-12-26 21:40 UTC, Szőke Károly
no flags Details
File: open_fds (3.79 KB, text/plain)
2013-12-26 21:40 UTC, Szőke Károly
no flags Details
File: proc_pid_status (922 bytes, text/plain)
2013-12-26 21:40 UTC, Szőke Károly
no flags Details
File: var_log_messages (592 bytes, text/plain)
2013-12-26 21:40 UTC, Szőke Károly
no flags Details
caja backtrace - mate-file-manager-1.6.4-1.fc20.x86_64 (56.57 KB, text/plain)
2014-03-24 14:12 UTC, James Boyle
no flags Details
backtrace (44.32 KB, text/plain)
2014-03-26 16:41 UTC, James Boyle
no flags Details

Description Szőke Károly 2013-12-26 21:40:02 UTC
Description of problem:
in mate window manager:
1. install dropbox
2. launch caja
3. crash

Version-Release number of selected component:
mate-file-manager-1.6.3-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        caja -n
crash_function: magazine_chain_pop_head
executable:     /usr/bin/caja
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:545
 #1 thread_memory_magazine1_alloc at gslice.c:848
 #2 g_slice_alloc at gslice.c:1007
 #3 g_slice_alloc0 at gslice.c:1042
 #4 g_object_notify_queue_freeze at gobject.c:237
 #5 g_object_freeze_notify at gobject.c:1095
 #6 gtk_label_set_text at gtklabel.c:1908
 #7 set_label_size at caja-zoom-control.c:282
 #8 caja_zoom_control_init at caja-zoom-control.c:359
 #9 g_type_create_instance at gtype.c:1868

Potential duplicate: bug 982111

Comment 1 Szőke Károly 2013-12-26 21:40:08 UTC
Created attachment 842101 [details]
File: backtrace

Comment 2 Szőke Károly 2013-12-26 21:40:09 UTC
Created attachment 842102 [details]
File: cgroup

Comment 3 Szőke Károly 2013-12-26 21:40:12 UTC
Created attachment 842103 [details]
File: core_backtrace

Comment 4 Szőke Károly 2013-12-26 21:40:14 UTC
Created attachment 842104 [details]
File: dso_list

Comment 5 Szőke Károly 2013-12-26 21:40:15 UTC
Created attachment 842105 [details]
File: environ

Comment 6 Szőke Károly 2013-12-26 21:40:17 UTC
Created attachment 842106 [details]
File: exploitable

Comment 7 Szőke Károly 2013-12-26 21:40:19 UTC
Created attachment 842107 [details]
File: limits

Comment 8 Szőke Károly 2013-12-26 21:40:22 UTC
Created attachment 842108 [details]
File: maps

Comment 9 Szőke Károly 2013-12-26 21:40:24 UTC
Created attachment 842109 [details]
File: open_fds

Comment 10 Szőke Károly 2013-12-26 21:40:25 UTC
Created attachment 842110 [details]
File: proc_pid_status

Comment 11 Szőke Károly 2013-12-26 21:40:27 UTC
Created attachment 842111 [details]
File: var_log_messages

Comment 12 Szőke Károly 2014-01-02 20:33:01 UTC
Another user experienced a similar problem:

My background theme is random theme, and when the caja is killed, the background theme swithched to another theme. I think...

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        caja -n
crash_function: magazine_chain_pop_head
executable:     /usr/bin/caja
kernel:         3.12.5-302.fc20.x86_64
package:        mate-file-manager-1.6.3-1.fc20
reason:         caja killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Wolfgang Ulbrich 2014-01-04 13:08:05 UTC
(In reply to Szőke Károly from comment #12)
> Another user experienced a similar problem:
What does this mean?
Do you talking from another user on your server?
Pls do not mix different user expirience in one report without a new backtrace. 
> My background theme is random theme, and when the caja is killed, the
> background theme swithched to another theme. I think...
Which application do you use for background switching?

Comment 14 pamram 2014-01-08 04:39:18 UTC
Another user experienced a similar problem:

I was only using the file manager, opening closing folders, and it crashed.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        caja -n
crash_function: magazine_chain_pop_head
executable:     /usr/bin/caja
kernel:         3.12.6-300.fc20.x86_64
package:        mate-file-manager-1.6.3-1.fc20
reason:         caja killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Szőke Károly 2014-01-08 21:05:53 UTC
I did like to write, when my background theme switched to another picture. It is the built in mate function, which can be set up in System/Preferences/Appearance. 
Sorry for my english...

Another user experienced a similar problem:
Sorry for this. The program crashed twice, and second crash was together with the background picture switching, and I wrote my experience.

Comment 16 Marcos Aurelio 2014-02-06 13:17:38 UTC
Another user experienced a similar problem:

Cliquei no icone do Caja para abri-lo e ele nao abriu. Depois apareceu a mensagem pedindo para reportar este bug. Porem ao clicar novamente para reexecuta-lo, abriu normal. O erro aconteceu somente na primeira tentativa. Nao é um problema frequente.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        caja -n
crash_function: magazine_chain_pop_head
executable:     /usr/bin/caja
kernel:         3.12.9-301.fc20.x86_64
package:        mate-file-manager-1.6.3-1.fc20
reason:         caja killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Philippe Noroy 2014-02-12 13:06:24 UTC
Another user experienced a similar problem:

Dans l'affichage du poste de travail : panneau droit de la fenêtre, vue en liste (défaut), clic sur un cd audio
non reproduit

When viewing my computer : right pane of the window, list view (default), clic on an audio cd 
does not happen again on retry 

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        caja -n
crash_function: magazine_chain_pop_head
executable:     /usr/bin/caja
kernel:         3.12.10-300.fc20.x86_64
package:        mate-file-manager-1.6.3-1.fc20
reason:         caja killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Peter Joseph Harris 2014-02-20 14:38:52 UTC
Another user experienced a similar problem:

Not sure why caja (File manager for MATE Desktop) is killed, was reading.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        caja -n
crash_function: magazine_chain_pop_head
executable:     /usr/bin/caja
kernel:         3.13.3-201.fc20.x86_64
package:        mate-file-manager-1.6.3-1.fc20
reason:         caja killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 James Boyle 2014-03-24 13:44:42 UTC
Another user experienced a similar problem:

I unmounted a CD-ROM as the superuser.
< in a terminal, bash prompt, after having done "sudo su - " much earlier >

# umount /dev/sr0

Then ABRT popped up.

reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        caja -n
crash_function: magazine_chain_pop_head
executable:     /usr/bin/caja
kernel:         3.13.6-200.fc20.x86_64
package:        mate-file-manager-1.6.4-1.fc20
reason:         caja killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 James Boyle 2014-03-24 14:08:47 UTC
(In reply to Wolfgang Ulbrich from comment #13)
> (In reply to Szőke Károly from comment #12)
> > Another user experienced a similar problem:
> What does this mean?
> Do you talking from another user on your server?
> Pls do not mix different user expirience in one report without a new
> backtrace. 
> > My background theme is random theme, and when the caja is killed, the
> > background theme swithched to another theme. I think...
> Which application do you use for background switching?


Hi Wolfgang,

The text "Another user experienced a similar problem:" is automatically generated by ABRT.  (Maybe that's a bug you should open against the ABRT package :^) - to indicate somewhere that the message is automatically generated).  

Anyway, when ABRT ran for me, it performed a backtrace, but did not see fit to attach it because "A duplicate bug has already been submitted".  

If I can find it in /var somewhere, I'll post my backtrace too.

--James

Comment 21 James Boyle 2014-03-24 14:12:42 UTC
Created attachment 878079 [details]
caja backtrace - mate-file-manager-1.6.4-1.fc20.x86_64

Backtrace retrieved from /var/tmp/abrt/ccpp-2014-03-24-09:39:31-3623

Comment 22 Fedor Butikov 2014-03-24 21:43:08 UTC
Another user experienced a similar problem:

just launched caja, after second launch this problem didn't appear

reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        caja -n
crash_function: magazine_chain_pop_head
executable:     /usr/bin/caja
kernel:         3.13.6-200.fc20.x86_64
package:        mate-file-manager-1.6.4-1.fc20
reason:         caja killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 James Boyle 2014-03-26 16:41:19 UTC
Created attachment 879122 [details]
backtrace

I don't know why caja crashed this time.  It was open, but I wasn't using it.

Comment 24 Ernie D 2014-04-25 21:42:36 UTC
Another user experienced a similar problem:

I was scrolling down the window watching a batch (184) of mp3 files being saved on an NFS share after modifying with Easytag. 

This is the first time that abrt notified me of this problem, indicating that it is a new problem.  I may have other large sets of MP3s I can batch edit to try to duplicate problem.

reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        caja
crash_function: magazine_chain_pop_head
executable:     /usr/bin/caja
kernel:         3.13.10-200.fc20.x86_64
package:        mate-file-manager-1.6.4-2.fc20
reason:         caja killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 25 Maciek Borzecki 2014-05-04 07:41:25 UTC
Another user experienced a similar problem:

caja was started just as the USB drive got plugged in

reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        caja
crash_function: magazine_chain_pop_head
executable:     /usr/bin/caja
kernel:         3.13.10-200.fc20.x86_64
package:        mate-file-manager-1.6.4-2.fc20
reason:         caja killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 26 James Boyle 2014-05-08 15:15:51 UTC
I had another crash this morning; Caja was in the background.  Previously I had been deleting files from a remote server (sftp).

Comment 27 Rafael Pereira 2014-05-19 13:52:39 UTC
Another user experienced a similar problem:

I had 3 sessions of Caja Opened, one pointing o my home folder and another to a smb share within the same lan as mine. So it crashed without reason.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        caja
crash_function: magazine_chain_pop_head
executable:     /usr/bin/caja
kernel:         3.14.4-200.fc20.x86_64
package:        mate-file-manager-1.6.4-4.fc20
reason:         caja killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 28 Wolfgang Ulbrich 2014-06-21 17:14:54 UTC
forward to upstream
https://github.com/mate-desktop/caja/issues/295

Comment 29 Robin Hack 2014-07-11 10:01:15 UTC
Another user experienced a similar problem:

I checked "I don't know what caysed this problem" box. Please don't ask me. I really don't know.
Maybe Jesus send SIGSEGV from heaven. Maybe god touched my laptop. Maybe it was miracle!
My laptop will be saint! Haleluja!

PS: No. I really don't know what happened. Abrt just show me this dialog box and I obeyed orders of holy abrt.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        caja
crash_function: magazine_chain_pop_head
executable:     /usr/bin/caja
kernel:         3.15.3-200.fc20.x86_64
package:        mate-file-manager-1.6.4-4.fc20
reason:         caja killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            20787

Comment 30 zbechir 2014-08-01 11:12:22 UTC
Another user experienced a similar problem:

Connecting an MTP Device

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        caja
crash_function: magazine_chain_pop_head
executable:     /usr/bin/caja
kernel:         3.15.6-200.fc20.x86_64
package:        mate-file-manager-1.6.4-4.fc20
reason:         caja killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 31 Wolfgang Ulbrich 2015-01-03 12:41:16 UTC
mate-file-manager-1.6.x isn't ship anymore in f20 repo, and upstream ships 1.8.x.


Note You need to log in before you can comment on or make changes to this bug.